package com.theappguruz.jsontest;

import org.json.*;

import android.app.*;
import android.os.*;

public class MainActivity extends Activity {

	public static final String url = "http://query.yahooapis.com/v1/public/yql?q=select%20*%20from%20cricket.scorecard.live&format=json&env=store%3A%2F%2F0TxIGQMQbObzvU4Apia0V0";
	public static final String TAG_QUERY = "query";
	public static final String TAG_RESULTS = "results";
	public static final String TAG_SCORECARD = "Scorecard";
	public static final String TAG_MN = "mn";
	public static final String TAG_PAST_INGS = "past_ings";
	public static final String TAG_D = "d";
	public static final String TAG_A = "a";
	public static final String TAG_T = "t";
	public static final String TAG_DT = "dt";
	public static final String TAG_CB = "cb";
	public static final String TAG_B = "b";
	public static final String TAG_R = "r";
	public static final String TAG_C = "c";
	public static final String TAG_SR = "sr";
	public static final String TAG_T_OBJ_A = "a";
	public static final String TAG_FOUR = "four";
	public static final String TAG_FD = "fd";
	public static final String TAG_BD = "bd";
	public static final String TAG_SIX = "six";
	public static final String TAG_I = "i";
	public static final String TAG_O = "o";
	public static final String TAG_O_OBJ_T = "t";
	public static final String TAG_W = "w";
	public static final String TAG_MO = "mo";
	public static final String TAG_NB = "nb";
	public static final String TAG_O_OBJ_T_OBJ_R = "r";
	public static final String TAG_O_OBJ_T_OBJ_SR = "sr";
	public static final String TAG_O_OBJ_T_OBJ_A = "a";
	public static final String TAG_W3 = "w3";
	public static final String TAG_O_OBJ_T_OBJ_O = "o";
	public static final String TAG_WD = "wd";
	public static final String TAG_WT = "wt";
	public static final String TAG_O_OBJ_T_OBJ_I = "i";
	public static final String TAG_BE = "be";
	public static final String TAG_BE_OBJ_A = "a";
	public static final String TAG_BE_OBJ_I = "i";
	public static final String TAG_S = "s";
	public static final String TAG_UMPS = "umps";
	public static final String TAG_REFEREE = "referee";
	public static final String TAG_LN = "ln";
	public static final String TAG_FN = "fn";
	public static final String TAG_COUNTRY = "country";
	public static final String TAG_GROUND = "ground";
	public static final String TAG_GROUND_OBJ_LN = "ln";
	public static final String TAG_GROUND_OBJ_FN = "fn";
	public static final String TAG_GROUND_OBJ_COUNTRY = "country";
	public static final String TAG_THIRD = "third";
	public static final String TAG_THIRD_OBJ_LN = "ln";
	public static final String TAG_THIRD_OBJ_FN = "fn";
	public static final String TAG_THIRD_OBJ_COUNTRY = "country";
	public static final String TAG_RESULT = "result";
	public static final String TAG_S_OBJ_D = "d";
	public static final String TAG_TS = "ts";
	public static final String TAG_FW = "fw";
	public static final String TAG_ID = "id";
	public static final String TAG_OV = "ov";
	public static final String TAG_FW_OBJ_T = "t";
	public static final String TAG_FW_OBJ_O = "o";
	public static final String TAG_S_OBJ_A = "a";
	public static final String TAG_RO = "ro";
	public static final String TAG_S_OBJ_A_OBJ_B = "b";
	public static final String TAG_TG = "tg";
	public static final String TAG_S_OBJ_A_OBJ_O = "o";
	public static final String TAG_L = "l";
	public static final String TAG_S_OBJ_A_OBJ_I = "i";
	public static final String TAG_S_OBJ_A_OBJ_W = "w";
	public static final String TAG_CR = "cr";
	public static final String TAG_CP = "cp";
	public static final String TAG_BLS = "bls";
	public static final String TAG_CP_OBJ_CP = "cp";
	public static final String TAG_CP_OBJ_S = "s";
	public static final String TAG_S_OBJ_A_OBJ_NB = "nb";
	public static final String TAG_S_OBJ_A_OBJ_R = "r";
	public static final String TAG_RR = "rr";
	public static final String TAG_PT = "pt";
	public static final String TAG_RU = "ru";
	public static final String TAG_LB = "lb";
	public static final String TAG_FO = "fo";
	public static final String TAG_PP = "pp";
	public static final String TAG_S_OBJ_A_OBJ_WD = "wd";
	public static final String TAG_LFO = "lfo";
	public static final String TAG_LFO_OBJ_W = "w";
	public static final String TAG_LFO_OBJ_R = "r";
	public static final String TAG_LFO_OBJ_RR = "rr";
	public static final String TAG_LFO_OBJ_O = "o";
	public static final String TAG_PMS = "pms";
	public static final String TAG_M = "m";
	public static final String TAG_PSHIP = "pship";
	public static final String TAG_PSHIP_OBJ_B = "b";
	public static final String TAG_PSHIP_OBJ_R = "r";
	public static final String TAG_BRKUP = "brkup";
	public static final String TAG_BRKUP_OBJ_ID = "id";
	public static final String TAG_BRKUP_OBJ_B = "b";
	public static final String TAG_BRKUP_OBJ_R = "r";
	public static final String TAG_S_OBJ_I = "i";
	public static final String TAG_STAY_LIVE = "stay_live";
	public static final String TAG_TZ = "tz";
	public static final String TAG_S_OBJ_T = "t";
	public static final String TAG_PIS = "pis";
	public static final String TAG_PIS_OBJ_W = "w";
	public static final String TAG_PIS_OBJ_R = "r";
	public static final String TAG_PIS_OBJ_O = "o";
	public static final String TAG_TID = "tid";
	public static final String TAG_TOSS = "toss";
	public static final String TAG_TEXT = "text";
	public static final String TAG_BAT = "bat";
	public static final String TAG_WIN = "win";
	public static final String TAG_PS = "ps";
	public static final String TAG_PAST_INGS_OBJ_FW = "fw";
	public static final String TAG_PAST_INGS_OBJ_FW_OBJ_D = "d";
	public static final String TAG_V = "v";
	public static final String TAG_PAST_INGS_OBJ_FW_OBJ_D_OBJ_RO = "ro";
	public static final String TAG_PAST_INGS_OBJ_FW_OBJ_D_OBJ_C = "c";
	public static final String TAG_N = "n";
	public static final String TAG_BCNT = "bcnt";
	public static final String TAG_PAST_INGS_OBJ_FW_OBJ_N = "n";
	public static final String TAG_TEAMS = "teams";
	public static final String TAG_LOGO = "logo";
	public static final String TAG_STD = "std";
	public static final String TAG_SMALL = "small";
	public static final String TAG_SN = "sn";
	public static final String TAG_FLAG = "flag";
	public static final String TAG_ROUNDLARGE = "roundlarge";
	public static final String TAG_ROUNDSMALL = "roundsmall";
	public static final String TAG_FLAG_OBJ_STD = "std";
	public static final String TAG_ROUNDSTD = "roundstd";
	public static final String TAG_FLAG_OBJ_SMALL = "small";
	public static final String TAG_SQUAD = "squad";
	public static final String TAG_SHORT = "short";
	public static final String TAG_HAND = "hand";
	public static final String TAG_HAND_OBJ_SHORT = "short";
	public static final String TAG_LONG = "long";
	public static final String TAG_VICECAPTAIN = "vicecaptain";
	public static final String TAG_FULL = "full";
	public static final String TAG_AGE = "age";
	public static final String TAG_BWLSTYLE = "bwlstyle";
	public static final String TAG_BWLSTYLE_OBJ_SHORT = "short";
	public static final String TAG_BWLSTYLE_OBJ_LONG = "long";
	public static final String TAG_PHOTO = "photo";
	public static final String TAG_MEDIUM = "medium";
	public static final String TAG_KEEPER = "keeper";
	public static final String TAG_CAPTAIN = "captain";
	public static final String TAG_SQUAD_OBJ_I = "i";
	public static final String TAG_TEAMS_OBJ_FN = "fn";
	public static final String TAG_TEAMS_OBJ_I = "i";
	public static final String TAG_SERIES = "series";
	public static final String TAG_SERIES_NAME = "series_name";
	public static final String TAG_SERIES_ID = "series_id";
	public static final String TAG_SCORECARD_OBJ_V = "v";
	public static final String TAG_SCORECARD_OBJ_TZ = "tz";
	public static final String TAG_ECF = "ecf";
	public static final String TAG_MS = "ms";
	public static final String TAG_SCORECARD_OBJ_TOSS = "toss";
	public static final String TAG_SCORECARD_OBJ_TOSS_OBJ_TEXT = "text";
	public static final String TAG_SCORECARD_OBJ_TOSS_OBJ_BAT = "bat";
	public static final String TAG_SCORECARD_OBJ_TOSS_OBJ_WIN = "win";
	public static final String TAG_SCORECARD_OBJ_M = "m";
	public static final String TAG_MID = "mid";
	public static final String TAG_PLACE = "place";
	public static final String TAG_STADIUM = "stadium";
	public static final String TAG_ENDDATE = "enddate";
	public static final String TAG_DATE = "date";
	public static final String TAG_GIMAGET = "Gimaget";
	public static final String TAG_VID = "vid";
	public static final String TAG_PLACE_OBJ_COUNTRY = "country";
	public static final String TAG_CITY = "city";
	public static final String TAG_CTS = "cts";
	public static final String TAG_SCORECARD_OBJ_PS = "ps";
	public static final String TAG_COUNT = "count";
	public static final String TAG_CREATED = "created";
	public static final String TAG_LANG = "lang";

	JSONParser jParser = new JSONParser();

	@Override
	protected void onCreate(final Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		JSONObject json = jParser.getJSONFromUrlByGet(url);
		try {

			JSONObject query_obj = json.getJSONObject(TAG_QUERY);

			JSONObject results_obj = query_obj.getJSONObject(TAG_RESULTS);

			JSONObject Scorecard_obj = results_obj.getJSONObject(TAG_SCORECARD);

			String str_mn = Scorecard_obj.getString(TAG_MN);

			JSONArray past_ings = Scorecard_obj.getJSONArray(TAG_PAST_INGS);
			for (int past_ings_i = 0; past_ings_i < past_ings.length(); past_ings_i++) {
				JSONObject past_ings_obj = past_ings.getJSONObject(past_ings_i);
				JSONObject d_obj = past_ings_obj.getJSONObject(TAG_D);

				JSONObject a_obj = d_obj.getJSONObject(TAG_A);

				JSONArray t = a_obj.getJSONArray(TAG_T);
				for (int t_i = 0; t_i < t.length(); t_i++) {
					JSONObject t_obj = t.getJSONObject(t_i);
					String str_dt = t_obj.getString(TAG_DT);

					String str_cb = t_obj.getString(TAG_CB);

					String str_b = t_obj.getString(TAG_B);

					String str_r = t_obj.getString(TAG_R);

					String str_c = t_obj.getString(TAG_C);

					String str_sr = t_obj.getString(TAG_SR);

					String str_t_obj_a = t_obj.getString(TAG_T_OBJ_A);

					String str_four = t_obj.getString(TAG_FOUR);

					String str_fd = t_obj.getString(TAG_FD);

					String str_bd = t_obj.getString(TAG_BD);

					String str_six = t_obj.getString(TAG_SIX);

					String str_i = t_obj.getString(TAG_I);

				}
				JSONObject o_obj = d_obj.getJSONObject(TAG_O);

				JSONArray o_obj_t = o_obj.getJSONArray(TAG_O_OBJ_T);
				for (int t_i = 0; t_i < o_obj_t.length(); t_i++) {
					JSONObject o_obj_t_obj = o_obj_t.getJSONObject(t_i);
					String str_w = o_obj_t_obj.getString(TAG_W);

					String str_mo = o_obj_t_obj.getString(TAG_MO);

					String str_nb = o_obj_t_obj.getString(TAG_NB);

					String str_o_obj_t_obj_r = o_obj_t_obj
							.getString(TAG_O_OBJ_T_OBJ_R);

					String str_o_obj_t_obj_sr = o_obj_t_obj
							.getString(TAG_O_OBJ_T_OBJ_SR);

					String str_o_obj_t_obj_a = o_obj_t_obj
							.getString(TAG_O_OBJ_T_OBJ_A);

					String str_w3 = o_obj_t_obj.getString(TAG_W3);

					String str_o_obj_t_obj_o = o_obj_t_obj
							.getString(TAG_O_OBJ_T_OBJ_O);

					String str_wd = o_obj_t_obj.getString(TAG_WD);

					JSONArray wt = o_obj_t_obj.getJSONArray(TAG_WT);
					for (int wt_i = 0; wt_i < wt.length(); wt_i++) {
						String str_wt = wt.getString(wt_i);
					}
					String str_o_obj_t_obj_i = o_obj_t_obj
							.getString(TAG_O_OBJ_T_OBJ_I);

				}
				JSONObject be_obj = o_obj.getJSONObject(TAG_BE);

				String str_be_obj_a = be_obj.getString(TAG_BE_OBJ_A);

				String str_be_obj_i = be_obj.getString(TAG_BE_OBJ_I);

				JSONObject s_obj = past_ings_obj.getJSONObject(TAG_S);

				JSONObject umps_obj = s_obj.getJSONObject(TAG_UMPS);

				JSONObject referee_obj = umps_obj.getJSONObject(TAG_REFEREE);

				String str_ln = referee_obj.getString(TAG_LN);

				String str_fn = referee_obj.getString(TAG_FN);

				String str_country = referee_obj.getString(TAG_COUNTRY);

				JSONArray ground = umps_obj.getJSONArray(TAG_GROUND);
				for (int ground_i = 0; ground_i < ground.length(); ground_i++) {
					JSONObject ground_obj = ground.getJSONObject(ground_i);
					String str_ground_obj_ln = ground_obj
							.getString(TAG_GROUND_OBJ_LN);

					String str_ground_obj_fn = ground_obj
							.getString(TAG_GROUND_OBJ_FN);

					String str_ground_obj_country = ground_obj
							.getString(TAG_GROUND_OBJ_COUNTRY);

				}
				JSONObject third_obj = umps_obj.getJSONObject(TAG_THIRD);

				String str_third_obj_ln = third_obj.getString(TAG_THIRD_OBJ_LN);

				String str_third_obj_fn = third_obj.getString(TAG_THIRD_OBJ_FN);

				String str_third_obj_country = third_obj
						.getString(TAG_THIRD_OBJ_COUNTRY);

				String str_result = s_obj.getString(TAG_RESULT);

				String str_s_obj_d = s_obj.getString(TAG_S_OBJ_D);

				String str_ts = s_obj.getString(TAG_TS);

				JSONArray fw = s_obj.getJSONArray(TAG_FW);
				for (int fw_i = 0; fw_i < fw.length(); fw_i++) {
					JSONObject fw_obj = fw.getJSONObject(fw_i);
					String str_id = fw_obj.getString(TAG_ID);

					String str_ov = fw_obj.getString(TAG_OV);

					String str_fw_obj_t = fw_obj.getString(TAG_FW_OBJ_T);

					String str_fw_obj_o = fw_obj.getString(TAG_FW_OBJ_O);

				}
				JSONObject s_obj_a_obj = s_obj.getJSONObject(TAG_S_OBJ_A);

				String str_ro = s_obj_a_obj.getString(TAG_RO);

				String str_s_obj_a_obj_b = s_obj_a_obj
						.getString(TAG_S_OBJ_A_OBJ_B);

				String str_tg = s_obj_a_obj.getString(TAG_TG);

				String str_s_obj_a_obj_o = s_obj_a_obj
						.getString(TAG_S_OBJ_A_OBJ_O);

				String str_l = s_obj_a_obj.getString(TAG_L);

				String str_s_obj_a_obj_i = s_obj_a_obj
						.getString(TAG_S_OBJ_A_OBJ_I);

				String str_s_obj_a_obj_w = s_obj_a_obj
						.getString(TAG_S_OBJ_A_OBJ_W);

				String str_cr = s_obj_a_obj.getString(TAG_CR);

				JSONObject cp_obj = s_obj_a_obj.getJSONObject(TAG_CP);

				String str_bls = cp_obj.getString(TAG_BLS);

				String str_cp_obj_cp = cp_obj.getString(TAG_CP_OBJ_CP);

				String str_cp_obj_s = cp_obj.getString(TAG_CP_OBJ_S);

				String str_s_obj_a_obj_nb = s_obj_a_obj
						.getString(TAG_S_OBJ_A_OBJ_NB);

				String str_s_obj_a_obj_r = s_obj_a_obj
						.getString(TAG_S_OBJ_A_OBJ_R);

				String str_rr = s_obj_a_obj.getString(TAG_RR);

				String str_pt = s_obj_a_obj.getString(TAG_PT);

				String str_ru = s_obj_a_obj.getString(TAG_RU);

				String str_lb = s_obj_a_obj.getString(TAG_LB);

				String str_fo = s_obj_a_obj.getString(TAG_FO);

				String str_pp = s_obj_a_obj.getString(TAG_PP);

				String str_s_obj_a_obj_wd = s_obj_a_obj
						.getString(TAG_S_OBJ_A_OBJ_WD);

				JSONObject lfo_obj = s_obj.getJSONObject(TAG_LFO);

				String str_lfo_obj_w = lfo_obj.getString(TAG_LFO_OBJ_W);

				String str_lfo_obj_r = lfo_obj.getString(TAG_LFO_OBJ_R);

				String str_lfo_obj_rr = lfo_obj.getString(TAG_LFO_OBJ_RR);

				String str_lfo_obj_o = lfo_obj.getString(TAG_LFO_OBJ_O);

				String str_pms = s_obj.getString(TAG_PMS);

				String str_m = s_obj.getString(TAG_M);

				JSONArray pship = s_obj.getJSONArray(TAG_PSHIP);
				for (int pship_i = 0; pship_i < pship.length(); pship_i++) {
					JSONObject pship_obj = pship.getJSONObject(pship_i);
					String str_pship_obj_b = pship_obj
							.getString(TAG_PSHIP_OBJ_B);

					String str_pship_obj_r = pship_obj
							.getString(TAG_PSHIP_OBJ_R);

					JSONArray brkup = pship_obj.getJSONArray(TAG_BRKUP);
					for (int brkup_i = 0; brkup_i < brkup.length(); brkup_i++) {
						JSONObject brkup_obj = brkup.getJSONObject(brkup_i);
						String str_brkup_obj_id = brkup_obj
								.getString(TAG_BRKUP_OBJ_ID);

						String str_brkup_obj_b = brkup_obj
								.getString(TAG_BRKUP_OBJ_B);

						String str_brkup_obj_r = brkup_obj
								.getString(TAG_BRKUP_OBJ_R);

					}
				}
				String str_s_obj_i = s_obj.getString(TAG_S_OBJ_I);

				String str_stay_live = s_obj.getString(TAG_STAY_LIVE);

				String str_tz = s_obj.getString(TAG_TZ);

				String str_s_obj_t = s_obj.getString(TAG_S_OBJ_T);

				JSONObject pis_obj = s_obj.getJSONObject(TAG_PIS);

				String str_pis_obj_w = pis_obj.getString(TAG_PIS_OBJ_W);

				String str_pis_obj_r = pis_obj.getString(TAG_PIS_OBJ_R);

				String str_pis_obj_o = pis_obj.getString(TAG_PIS_OBJ_O);

				String str_tid = pis_obj.getString(TAG_TID);

				JSONObject toss_obj = s_obj.getJSONObject(TAG_TOSS);

				String str_text = toss_obj.getString(TAG_TEXT);

				String str_bat = toss_obj.getString(TAG_BAT);

				String str_win = toss_obj.getString(TAG_WIN);

				String str_ps = s_obj.getString(TAG_PS);

				JSONObject past_ings_obj_fw_obj = past_ings_obj
						.getJSONObject(TAG_PAST_INGS_OBJ_FW);

				JSONArray past_ings_obj_fw_obj_d = past_ings_obj_fw_obj
						.getJSONArray(TAG_PAST_INGS_OBJ_FW_OBJ_D);
				for (int d_i = 0; d_i < past_ings_obj_fw_obj_d.length(); d_i++) {
					JSONObject past_ings_obj_fw_obj_d_obj = past_ings_obj_fw_obj_d
							.getJSONObject(d_i);
					String str_v = past_ings_obj_fw_obj_d_obj.getString(TAG_V);

					String str_past_ings_obj_fw_obj_d_obj_ro = past_ings_obj_fw_obj_d_obj
							.getString(TAG_PAST_INGS_OBJ_FW_OBJ_D_OBJ_RO);

					String str_past_ings_obj_fw_obj_d_obj_c = past_ings_obj_fw_obj_d_obj
							.getString(TAG_PAST_INGS_OBJ_FW_OBJ_D_OBJ_C);

					String str_n = past_ings_obj_fw_obj_d_obj.getString(TAG_N);

					String str_bcnt = past_ings_obj_fw_obj_d_obj
							.getString(TAG_BCNT);

				}
				String str_past_ings_obj_fw_obj_n = past_ings_obj_fw_obj
						.getString(TAG_PAST_INGS_OBJ_FW_OBJ_N);

			}
			JSONArray teams = Scorecard_obj.getJSONArray(TAG_TEAMS);
			for (int teams_i = 0; teams_i < teams.length(); teams_i++) {
				JSONObject teams_obj = teams.getJSONObject(teams_i);
				JSONObject logo_obj = teams_obj.getJSONObject(TAG_LOGO);

				String str_std = logo_obj.getString(TAG_STD);

				String str_small = logo_obj.getString(TAG_SMALL);

				String str_sn = teams_obj.getString(TAG_SN);

				JSONObject flag_obj = teams_obj.getJSONObject(TAG_FLAG);

				String str_roundlarge = flag_obj.getString(TAG_ROUNDLARGE);

				String str_roundsmall = flag_obj.getString(TAG_ROUNDSMALL);

				String str_flag_obj_std = flag_obj.getString(TAG_FLAG_OBJ_STD);

				String str_roundstd = flag_obj.getString(TAG_ROUNDSTD);

				String str_flag_obj_small = flag_obj
						.getString(TAG_FLAG_OBJ_SMALL);

				JSONArray squad = teams_obj.getJSONArray(TAG_SQUAD);
				for (int squad_i = 0; squad_i < squad.length(); squad_i++) {
					JSONObject squad_obj = squad.getJSONObject(squad_i);
					String str_short = squad_obj.getString(TAG_SHORT);

					JSONObject hand_obj = squad_obj.getJSONObject(TAG_HAND);

					String str_hand_obj_short = hand_obj
							.getString(TAG_HAND_OBJ_SHORT);

					String str_long = hand_obj.getString(TAG_LONG);

					String str_vicecaptain = squad_obj
							.getString(TAG_VICECAPTAIN);

					String str_full = squad_obj.getString(TAG_FULL);

					String str_age = squad_obj.getString(TAG_AGE);

					JSONObject bwlstyle_obj = squad_obj
							.getJSONObject(TAG_BWLSTYLE);

					String str_bwlstyle_obj_short = bwlstyle_obj
							.getString(TAG_BWLSTYLE_OBJ_SHORT);

					String str_bwlstyle_obj_long = bwlstyle_obj
							.getString(TAG_BWLSTYLE_OBJ_LONG);

					String str_photo = squad_obj.getString(TAG_PHOTO);

					String str_medium = squad_obj.getString(TAG_MEDIUM);

					String str_keeper = squad_obj.getString(TAG_KEEPER);

					String str_captain = squad_obj.getString(TAG_CAPTAIN);

					String str_squad_obj_i = squad_obj
							.getString(TAG_SQUAD_OBJ_I);

				}
				String str_teams_obj_fn = teams_obj.getString(TAG_TEAMS_OBJ_FN);

				String str_teams_obj_i = teams_obj.getString(TAG_TEAMS_OBJ_I);

			}
			JSONObject series_obj = Scorecard_obj.getJSONObject(TAG_SERIES);

			String str_series_name = series_obj.getString(TAG_SERIES_NAME);

			String str_series_id = series_obj.getString(TAG_SERIES_ID);

			String str_Scorecard_obj_v = Scorecard_obj
					.getString(TAG_SCORECARD_OBJ_V);

			String str_Scorecard_obj_tz = Scorecard_obj
					.getString(TAG_SCORECARD_OBJ_TZ);

			String str_ecf = Scorecard_obj.getString(TAG_ECF);

			String str_ms = Scorecard_obj.getString(TAG_MS);

			JSONObject Scorecard_obj_toss_obj = Scorecard_obj
					.getJSONObject(TAG_SCORECARD_OBJ_TOSS);

			String str_Scorecard_obj_toss_obj_text = Scorecard_obj_toss_obj
					.getString(TAG_SCORECARD_OBJ_TOSS_OBJ_TEXT);

			String str_Scorecard_obj_toss_obj_bat = Scorecard_obj_toss_obj
					.getString(TAG_SCORECARD_OBJ_TOSS_OBJ_BAT);

			String str_Scorecard_obj_toss_obj_win = Scorecard_obj_toss_obj
					.getString(TAG_SCORECARD_OBJ_TOSS_OBJ_WIN);

			String str_Scorecard_obj_m = Scorecard_obj
					.getString(TAG_SCORECARD_OBJ_M);

			String str_mid = Scorecard_obj.getString(TAG_MID);

			JSONObject place_obj = Scorecard_obj.getJSONObject(TAG_PLACE);

			String str_stadium = place_obj.getString(TAG_STADIUM);

			String str_enddate = place_obj.getString(TAG_ENDDATE);

			String str_date = place_obj.getString(TAG_DATE);

			String str_Gimaget = place_obj.getString(TAG_GIMAGET);

			String str_vid = place_obj.getString(TAG_VID);

			String str_place_obj_country = place_obj
					.getString(TAG_PLACE_OBJ_COUNTRY);

			String str_city = place_obj.getString(TAG_CITY);

			String str_cts = Scorecard_obj.getString(TAG_CTS);

			String str_Scorecard_obj_ps = Scorecard_obj
					.getString(TAG_SCORECARD_OBJ_PS);

			String str_count = query_obj.getString(TAG_COUNT);

			String str_created = query_obj.getString(TAG_CREATED);

			String str_lang = query_obj.getString(TAG_LANG);

		} catch (JSONException e) {
		}
	}
}